class PlayerParticle{
    constructor(x,y){
        this.x = x;
        this.y = y;
        this.spread = random(-0.5,0.5);
        this.speed = random(runningSpeed - 0.4,runningSpeed);
        this.f = 255;
    }
    draw(){
        noStroke();
        if(runDeathAnimation && dist(deathAnimationPosition.x,deathAnimationPosition.y,this.x,this.y) < (deathAnimationCounter * (deathAnimationCounter + 2)) / 2){
            if(this.x <= 150){
                fill(red(NIGHT_COLOR_INVERTED),green(NIGHT_COLOR_INVERTED),blue(NIGHT_COLOR_INVERTED),map(this.f,0,255,0,alpha(NIGHT_COLOR_FADED)));
            }else{
                fill(red(DAY_COLOR_INVERTED),green(DAY_COLOR_INVERTED),blue(DAY_COLOR_INVERTED),map(this.f,0,255,0,alpha(DAY_COLOR_FADED)));
            }
        }else{
            if(this.x <= 150){
                fill(red(NIGHT_COLOR_FADED),green(NIGHT_COLOR_FADED),blue(NIGHT_COLOR_FADED),map(this.f,0,255,0,alpha(NIGHT_COLOR_FADED)));
            }else{
                fill(red(DAY_COLOR_FADED),green(DAY_COLOR_FADED),blue(DAY_COLOR_FADED),map(this.f,0,255,0,alpha(DAY_COLOR_FADED)));
            }
        }
        ellipse(this.x,this.y,10,10);
        if(runDeathAnimation && dist(deathAnimationPosition.x,deathAnimationPosition.y,this.x,this.y) < (deathAnimationCounter * (deathAnimationCounter + 2)) / 2){
            if(this.x <= 150){
                fill(red(NIGHT_COLOR_INVERTED),green(NIGHT_COLOR_INVERTED),blue(NIGHT_COLOR_INVERTED),this.f);
            }else{
                fill(red(DAY_COLOR_INVERTED),green(DAY_COLOR_INVERTED),blue(DAY_COLOR_INVERTED),this.f);
            }
        }else{
            if(this.x <= 150){
                fill(red(NIGHT_COLOR),green(NIGHT_COLOR),blue(NIGHT_COLOR),this.f);
            }else{
                fill(red(DAY_COLOR),green(DAY_COLOR),blue(DAY_COLOR),this.f);
            }
        }
        ellipse(this.x,this.y,5,5);
    }
    update(){
        this.x += this.spread * (runningSpeed / 3.5);
        this.y += runningSpeed;
        if(runDeathAnimation){
            this.f -= 5;
        }
    }
}

let playerParticles = [];