class Spike{
    constructor(y,size,side){
        this.y = y - size * 20;
        this.size = size;
        this.side = side;
        if(this.side === "left"){
            building.left += size * 20;
        }else{
            building.right += size * 20;
        }
    }
    draw(){
        if(this.side === "left"){
            noStroke();
            fill(NIGHT_COLOR);
            for(let i = 0;i < this.size;i++){
                triangle(142,this.y + i * 20,120,this.y + 10 + i * 20,142,this.y + 20 + i * 20);
            }
            for(let i = 0;i < players.length;i++){
                if(players[i].y - players[i].size / 2 < this.y + this.size * 20 - 5 && players[i].y + players[i].size / 2 > this.y + 15 && players[i].x <= 150 && players[i].x + players[i].size / 2 > 125){// Added 5 to 120 to make 125 for extra padding
                    killPlayer(players[i].x,players[i].y);
                    players.splice(i,1);
                }
            }
        }else{
            noStroke();
            fill(DAY_COLOR);
            for(let i = 0;i < this.size;i++){
                triangle(158,this.y + i * 20,180,this.y + 10 + i * 20,158,this.y + 20 + i * 20);
            }
            for(let i = 0;i < players.length;i++){
                if(players[i].y - players[i].size / 2 < this.y + this.size * 20 - 5 && players[i].y + players[i].size / 2 > this.y + 15 && players[i].x > 150 && players[i].x - players[i].size / 2 < 175){// Took away 5 from 180 to make 175 for extra padding
                    killPlayer(players[i].x,players[i].y);
                    players.splice(i,1);
                }
            }
        }
        
    }
    update(){
        this.y += runningSpeed;
    }
}

let spikes = [];