class TwinOrb{
    constructor(y,side){
        if(side === "left"){
            this.x = 122;
        }else{
            this.x = 178;
        }
        this.y = y - 16;
        this.side = side;
        this.r = 0;
    }
    draw(){
        if(this.side === "left"){
            stroke(NIGHT_COLOR_FADED);
        }else{
            stroke(DAY_COLOR_FADED);
        }
        noFill();
        strokeWeight(4);
        ellipse(this.x,this.y,22,22);
        noStroke();
        if(this.side === "left"){
            fill(NIGHT_COLOR_FADED);
        }else{
            fill(DAY_COLOR_FADED);
        }
        push();
        translate(this.x,this.y);
        rotate(this.r);
        ellipse(-11,0,15,15);
        ellipse(11,0,15,15);
        if(this.side === "left"){
            fill(NIGHT_COLOR);
        }else{
            fill(DAY_COLOR);
        }
        ellipse(-11,0,10,10);
        ellipse(11,0,10,10);
        pop();
    }
    update(){
        this.y += runningSpeed;
        if(!runDeathAnimation){
            this.r += 3;
        }
        if(players.length === 0){
            return;
        }
        if(dist(players[0].x,players[0].y,this.x,this.y) < players[0].size / 2 + 12){
            runTwinsAnimation = true;
            twinsAnimationCounter = 0;
            players = [new Player("left"),new Player("right")];
            laneDelay = 200;
            spikes = [];
            pits = [];
            twinOrbs = [];
            playerParticles = [];
            coins = [];
        }
    }
}

let twinOrbs = [];